Subject: Re: [PATCH] Documentation/git-remote.txt: remove description for useless -n option

From: Olivier Marin <[email-masked]>
Date: Mon, 09 Jun 2008 02:43:42 +0200

Junio C Hamano a écrit :
>> From: Olivier Marin <[email-masked]>
>>
>> This option comes from the original git-remote.perl script and is not
>> used nor needed in the current builtin.
> 
> Is this something we would want to document as a new feature, or just a
> regression that makes the existing feature unusable when disconnected from
> the network that needs to be fixed in the code?

OK, I restored the original behaviour for "git remote show", patch will follow.

But for "git remote prune" I don't no what to do. The perl script behaviour was
to delete all refs for the remote when called with -n. It seems really dangerous
to me, especially if I have no connection to restore them. The current builtin
doesn't honor the flag and with my patch it just does nothing.

So, do you prefere that I remove the documentation for git remote prune -n or
restore the old behaviour that was probably never used (but maybe I'm wrong)?

Olivier.